Name:		marvell-ipp-mmp3
Version:	1.0
Release:	2%{?dist}.xo4
Summary:	marvell-ipp

License:	Redistributable, no changes permitted
URL:		http://wiki.laptop.org/go/Vmeta
Source0:	%{name}-%{version}.tar.gz

Requires:	libvmeta

%description
marvell-ipp

%package devel
Summary:	marvell-ipp-devel
Requires: %{name} = %{version}-%{release}
Requires:	libvmeta-devel

%description devel
marvell-ipp-devel

%prep
%setup -q


%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/vmeta
install -m 0755 bin/libcodecaac*.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta
install -m 0755 bin/libcodecg7*.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta
install -m 0755 bin/libcodecgif*.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta
install -m 0755 bin/libcodech2*dec.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta
install -m 0755 bin/libcodecjpeg*.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta
install -m 0755 bin/libcodecmidi*.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta
install -m 0755 bin/libcodecmp3*.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta
install -m 0755 bin/libcodecmpeg*dec.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta
install -m 0755 bin/libcodecpng*.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta
install -m 0755 bin/libcodecvmeta*.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta
install -m 0755 bin/libipp*.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta
install -m 0755 bin/libmiscgen.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta
install -m 0755 bin/libvmetahal.so* $RPM_BUILD_ROOT/%{_libdir}/vmeta

mkdir -p $RPM_BUILD_ROOT/%{_includedir}/vmeta
install -m 0644 include/codec{AC,Def,GIF,JP,MD,PNG,SC,VC}.h $RPM_BUILD_ROOT/%{_includedir}/vmeta
install -m 0644 include/ipp*.h $RPM_BUILD_ROOT/%{_includedir}/vmeta
install -m 0644 include/misc.h $RPM_BUILD_ROOT/%{_includedir}/vmeta
install -m 0644 include/vdec*.h $RPM_BUILD_ROOT/%{_includedir}/vmeta


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%{_libdir}/vmeta/*


%files devel
%{_includedir}/vmeta/*


%changelog
